<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.6"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>PS2 controller TRX: C:/Users/XW8400/Documents/ps2_ctrl_trx/hal/include/sysclk.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">PS2 controller TRX
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.6 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('sysclk_8h.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">sysclk.h File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="sysclk_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a9307fa018ff7cb685c38116a0eeaa638"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="sysclk_8h.html#a9307fa018ff7cb685c38116a0eeaa638">SYSCLK_USE_HIRC</a></td></tr>
<tr class="memdesc:a9307fa018ff7cb685c38116a0eeaa638"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use 16MHz internal RC oscillator (HIRC)  <br /></td></tr>
<tr class="separator:a9307fa018ff7cb685c38116a0eeaa638"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3aee3beceffb391d6aa3012c48f0a35b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="sysclk_8h.html#a3aee3beceffb391d6aa3012c48f0a35b">F_OSC</a>&#160;&#160;&#160;16000000UL</td></tr>
<tr class="memdesc:a3aee3beceffb391d6aa3012c48f0a35b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use 10kHz internal RC oscillator (LIRC)  <br /></td></tr>
<tr class="separator:a3aee3beceffb391d6aa3012c48f0a35b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad90e9fff24343872f50297670cfddd83"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="sysclk_8h.html#ad90e9fff24343872f50297670cfddd83">SYSCLK_CKDIV</a>&#160;&#160;&#160;(<a class="el" href="sysclk_8h.html#a3aee3beceffb391d6aa3012c48f0a35b">F_OSC</a> / F_SYS) / 2</td></tr>
<tr class="memdesc:ad90e9fff24343872f50297670cfddd83"><td class="mdescLeft">&#160;</td><td class="mdescRight">System clock divider value (if F_OSC &gt; F_SYS)  <br /></td></tr>
<tr class="separator:ad90e9fff24343872f50297670cfddd83"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a242399e48a97739c88b4d0c00f6101de"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="sysclk_8h.html#a242399e48a97739c88b4d0c00f6101de">sysclk_init</a> (void)</td></tr>
<tr class="memdesc:a242399e48a97739c88b4d0c00f6101de"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialize system clock.  <br /></td></tr>
<tr class="separator:a242399e48a97739c88b4d0c00f6101de"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="a3aee3beceffb391d6aa3012c48f0a35b" name="a3aee3beceffb391d6aa3012c48f0a35b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3aee3beceffb391d6aa3012c48f0a35b">&#9670;&#160;</a></span>F_OSC</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define F_OSC&#160;&#160;&#160;16000000UL</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Use 10kHz internal RC oscillator (LIRC) </p>
<p>Use external crystal oscillator on XIN pin</p>
<p>Oscillator frequency (in Hz) </p>

</div>
</div>
<a id="ad90e9fff24343872f50297670cfddd83" name="ad90e9fff24343872f50297670cfddd83"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad90e9fff24343872f50297670cfddd83">&#9670;&#160;</a></span>SYSCLK_CKDIV</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SYSCLK_CKDIV&#160;&#160;&#160;(<a class="el" href="sysclk_8h.html#a3aee3beceffb391d6aa3012c48f0a35b">F_OSC</a> / F_SYS) / 2</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>System clock divider value (if F_OSC &gt; F_SYS) </p>

</div>
</div>
<a id="a9307fa018ff7cb685c38116a0eeaa638" name="a9307fa018ff7cb685c38116a0eeaa638"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9307fa018ff7cb685c38116a0eeaa638">&#9670;&#160;</a></span>SYSCLK_USE_HIRC</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SYSCLK_USE_HIRC</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Use 16MHz internal RC oscillator (HIRC) </p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a242399e48a97739c88b4d0c00f6101de" name="a242399e48a97739c88b4d0c00f6101de"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a242399e48a97739c88b4d0c00f6101de">&#9670;&#160;</a></span>sysclk_init()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void sysclk_init </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Initialize system clock. </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_b116ddd94a245d490f1483cfe96d55a6.html">ps2_ctrl_trx</a></li><li class="navelem"><a class="el" href="dir_a5db744503d12202ec64e5e5d49b6402.html">hal</a></li><li class="navelem"><a class="el" href="dir_eac8973e6e22cec028734c0f756d1fd5.html">include</a></li><li class="navelem"><a class="el" href="sysclk_8h.html">sysclk.h</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.6 </li>
  </ul>
</div>
</body>
</html>
